Bug 1480335 - CVE-2017-9800 subversion: Arbitrary code execution on clients through malicious svn+ssh URLs [fedora-all]
CVE-2017-9800 subversion: Arbitrary code execution on clients through malicio...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
26
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-9800
  Show dependency treegraph
 
Reported: 2017-08-10 14:27 EDT by Stefan Cornelius
Modified: 2017-08-22 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: subversion-1.9.7-1.fc26 subversion-1.9.7-1.fc25
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 17:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Stefan Cornelius 2017-08-10 14:28:02 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1479686

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Joe Orton 2017-08-11 05:39:29 EDT
Package: subversion-1.9.7-1.fc27
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=953924
Comment 3 Joe Orton 2017-08-11 08:31:47 EDT
Package: subversion-1.9.7-1.fc26
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=953975
Comment 4 Fedora Update System 2017-08-11 10:30:19 EDT
subversion-1.9.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1d1a38bdd1
Comment 5 Fedora Update System 2017-08-11 21:29:25 EDT
subversion-1.9.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1d1a38bdd1
Comment 6 Fedora Update System 2017-08-13 00:06:12 EDT
subversion-1.9.7-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-951b6a78d4
Comment 7 Fedora Update System 2017-08-14 17:52:48 EDT
subversion-1.9.7-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-08-22 08:49:20 EDT
subversion-1.9.7-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.